# $Revision: 1.40 $, $Date: 2004/11/01 16:11:44 $
Summary:	A set of libraries to build 3d simulations, games etc
Summary(pl):	Zestaw bibliotek do budowania trjwymiarowych symulacji, gier itp
Name:		SimGear
Version:	0.3.7
Release:	1
License:	GPL
Group:		Libraries
Source0:	ftp://ftp.simgear.org/pub/simgear/Source/%{name}-%{version}.tar.gz
# Source0-md5:	d920855efb6ed72f97dad4b76914bfa8
Patch0:		%{name}-shared.patch
Patch1:		%{name}-libs.patch
URL:		http://www.simgear.org/
Buildrequires:	OpenAL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	glut-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	metakit-devel >= 2.4.3
BuildRequires:	plib-devel >= 1.8.0
BuildRequires:	tcl-devel
BuildRequires:	zlib-devel
Requires:	OpenGL
Requires:	plib >= 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
SimGear is a set of open-source libraries designed to be used as
building blocks for quickly assembling 3d simulations, games, and
visualization applications.

The term "Simulation Kernel" is a bit presumptuous for us at this
point, but this is the direction we are heading with SimGear.

%description -l pl
SimGear to zestaw bibliotek zaprojektowanych do wykorzystania jako
klocki do szybkiego zestawiania trjwymiarowych symulacji, gier...

W tej chwili jest jeszcze troch za wczenie na uywanie terminu
"Jdro Symulacji", ale to jest kierunek w ktrym zmierza SimGear.

%package devel
Summary:	Header files for SimGear
Summary(pl):	Pliki nagwkowe dla SimGear
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenAL-devel
Requires:	OpenGL-devel-base
Requires:	plib-devel >= 1.8.0

%description devel
Header files neccessary to build SimGear applications.

%description devel -l pl
Pliki nagwkowe potrzebne do budowania aplikacji z SimGearem.

%package static
Summary:	Static SimGear libraries
Summary(pl):	Statyczne biblioteki SimGear
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SimGear libraries.

%description static -l pl
Statyczne biblioteki SimGear.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-x \
	--with-tcl=/usr/lib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc TODO
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SimGear.spec,v $
Revision 1.40  2004/11/01 16:11:44  adamg
- updated to 0.3.7

Revision 1.39  2004/10/31 17:00:39  paladine
- spaces->tabs
- formatting

Revision 1.38  2004/08/01 17:12:41  grzegol
- updated to 0.3.6

Revision 1.37  2004/03/29 12:10:46  zagrodzki
- updated to 0.3.5

Revision 1.36  2004/03/21 17:33:48  grzegol
- rel. 2 to rebuild with plib-1.8.0
- added R: plib >= 1.8.0
- strict internal deps

Revision 1.35  2003/11/11 21:55:16  grzegol
- updated to 0.3.4
- s/BR: plib/BR: plib-devel/
- added -devel Requires

Revision 1.34  2003/08/28 08:20:29  ankry
- cosmetics

Revision 1.33  2003/08/02 13:28:13  grzegol
- updated to 0.3.3
- removed COPYING from %%doc (GPL) and added more docs

Revision 1.32  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.31  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.30  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/05/04 16:50:37  zagrodzki
- fixed -shared patch
- rel. 2

Revision 1.28  2002/12/11 22:10:42  jareq
- updated to 0.3.1

Revision 1.27  2002/12/02 11:06:14  ankry
- massive cleaning

Revision 1.26  2002/11/25 14:12:19  ankry
- massive attack: no need for 755 for *.la

Revision 1.25  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/09/13 18:57:07  zagrodzki
- req. plib >= 1.6.0

Revision 1.23  2002/09/13 18:55:35  zagrodzki
- updated to 0.2.0
- STBR

Revision 1.22  2002/08/28 12:11:34  aflinta
- updated %doc
- release 2

Revision 1.21  2002/08/28 11:46:04  mmazur
- build; nfy - aflinta fix %doc

Revision 1.20  2002/08/28 10:27:53  aflinta
- NFY

Revision 1.19  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/05/10 21:11:13  kloczek
- cosmetics.

Revision 1.17  2002/05/09 12:44:54  mmazur
- updated to 0.0.18; rel1; STBR

Revision 1.16  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.15  2002/03/19 14:01:38  ankry
- URL fixed

Revision 1.14  2002/02/22 23:28:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.13  2002/02/02 20:38:17  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.12  2002/02/01 14:55:04  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.11  2002/01/18 02:12:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/04/22 09:43:45  misiek
- use external metakit library
- metakit and DESTDIR patches removed
- release 3

Revision 1.9  2001/04/22 00:24:05  kloczek
- /sbin/ldconfig must be runed in %post, %postun in main package (not in devel),
- cosmetics.

Revision 1.8  2001/04/21 23:49:42  zagrodzki
- added metakit.patch

Revision 1.7  2001/04/21 23:17:49  zagrodzki
- release 2
- added libtool support

Revision 1.6  2001/04/21 21:54:18  zagrodzki
- and more...

Revision 1.5  2001/04/21 21:52:33  zagrodzki
- and more fixes...

Revision 1.4  2001/04/21 21:49:29  zagrodzki
- and more fixes :)

Revision 1.3  2001/04/21 21:44:40  zagrodzki
- more improvements

Revision 1.2  2001/04/21 21:43:00  zagrodzki
- ldconfig

Revision 1.1  2001/04/21 21:40:49  zagrodzki
- initial release
